__gnu_pbds::container_error Struct Reference
Extensions » Policy-Based Data Structures » Exceptions
Inheritance diagram for __gnu_pbds::container_error:
[legend]

## Public Member Functions

virtual const char * | what () const noexcept

## Detailed Description

Base class for exceptions.

Definition at line 57 of file exception.hpp.

## Member Function Documentation

## what()

virtual const char* std::logic_error::what | ( |  | ) | const

virtual noexcept inherited

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Reimplemented in std::future_error.

The documentation for this struct was generated from the following file:

- exception.hpp